Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbox2d.testbed
Enum TimingTest.TestSelection

    java.lang.Object
      java.lang.Enum<TimingTest.TestSelection>
          org.jbox2d.testbed.TimingTest.TestSelection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TimingTest.TestSelection>

Enclosing class:
  TimingTest

    public static enum TimingTest.TestSelection

extends java.lang.Enum<TimingTest.TestSelection>

Enum Constant Summary
`CIRCLES`
`COMPOUND_SHAPES`
`DOMINO`
`DOMINO_TOWER`
`PYRAMID`
`WASHING_MACHINE`

Method Summary
`static TimingTest.TestSelection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TimingTest.TestSelection[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WASHING_MACHINE

    public static final TimingTest.TestSelection WASHING_MACHINE

### COMPOUND_SHAPES

    public static final TimingTest.TestSelection COMPOUND_SHAPES

### DOMINO

    public static final TimingTest.TestSelection DOMINO

### PYRAMID

    public static final TimingTest.TestSelection PYRAMID

### CIRCLES

    public static final TimingTest.TestSelection CIRCLES

### DOMINO_TOWER

    public static final TimingTest.TestSelection DOMINO_TOWER

Method Detail

### values

    public static final TimingTest.TestSelection[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TimingTest.TestSelection c : TimingTest.TestSelection.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TimingTest.TestSelection valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD